#!/bin/bash

# This script is run once after an attempt to renew one or more certs.

# Array of services to reload. A default list of typical services is listed.
# Note that service will only be restarted if it's installed and active,
# it's safe to have inactive/unneeded services in this array.
# Change this to suit your needs.
services=(apache2 dovecot exim4 haproxy postfix)

# Cycle through each service.
for service in "${services[@]}"; do
  # Reload service if it supports it. If not, stop and then start instead. This does nothing if the service is not running.
  systemctl try-reload-or-restart $service
done
